UpdateAlarmData
UpdateAlarmData
PUT
/zstack/v1/zwatch/alarm-histories/actionsOperation ID
UpdateAlarmDataSince
3.3.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
dataUuidStringOptional. The resource UUID.
dataStartTimeLongOptional. The start time of the target messages. Make sure that InRange is transferred to updateMode.
dataEndTimeLongOptional. The end time of the target messages. Make sure that InRange is transferred to updateMode.
updateModeStringRequiredThe range of the target messages to be updated. Options: OnlyOne: updates only the specified messages. InRange: updates the messages generated in a specified time range. All: updates all messages.
readStatusStringOptional. The read status of the updated messages.
